#!/bin/sh
# ---------------------------------------------------------
# -- This simple script is an example of how to start ij in
# -- the Derby Network Server environment.
# --
#-- REQUIREMENTS:
# -- You must have the Derby, Derby Client, and Derby Tools libraries in your classpath
# --
# --You may need to modify the values below for a different
# --WASCE_home, host, port, user, or password
# --
# -- This file for use on Unix sh systems
# ---------------------------------------------------------

ARGS=

# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '.*/.*' > /dev/null; then
        PRG="$link"
    else
        PRG=`dirname "$PRG"`/"$link"
    fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`
WASCE_HOME=$PRGDIR/..

# ---------------------------------------------------------
# -- To use a different JVM with a different syntax, simply edit
# -- this file
# ---------------------------------------------------------
if [ -r "$WASCE_HOME"/bin/setenv.sh ]; then
  . "$WASCE_HOME"/bin/setenv.sh
fi

if [ -z "$JAVA_HOME" ]; then
    JAVA=`which java`
    if [ -z "$JAVA" ]; then
        echo "Unable to locate Java binary. Please add it to the PATH."
        exit 1
    fi
    JAVA_BIN=`dirname $JAVA`
    JAVA_HOME=$JAVA_BIN/..
fi

JAVA=$JAVA_HOME/bin/java
if [ ! -f "$JAVA" ]; then
    echo "Unable to locate Java"
    exit 1
fi

ENDORSED_DIR=$WASCE_HOME/lib/endorsed

Derby_CLASS_PATH=${WASCE_HOME}/repository/org/apache/derby
CLASS_PATH=${Derby_CLASS_PATH}/derbytools/10.5.3.1/derbytools-10.5.3.1.jar:${Derby_CLASS_PATH}/derbyclient/10.5.3.1/derbyclient-10.5.3.1.jar:$CLASS_PATH

IJ_HOST=localhost
IJ_PORT=1527
IJ_USER=dbadmin
IJ_PASSWORD=manager

# ---------------------------------------------------------
# -- start ij
# ---------------------------------------------------------
$JAVA $JAVA_OPTS -cp $CLASS_PATH -Dij.driver=org.apache.derby.jdbc.ClientDriver -Dij.protocol=jdbc:derby://$IJ_HOST:$IJ_PORT/ -Dij.user=$IJ_USER -Dij.password=$IJ_PASSWORD $ARGS org.apache.derby.tools.ij $@

