#!/bin/sh
# ---------------------------------------------------------------------------
# Uninstall wizard hook.
#
# This script is invoked during Unix WASCE+SDK bundle uninstall to accommodate 
# template uninstalls that require cleanup prior to server image removal.
#
# For example, assuming install customization as outlined in postInstall.sh,
# this script could be customized to include the following cleanup logic...
#
# PGM_DIR=`dirname "$0"`
# WASCE_HOME="$PGM_DIR"/..
# 
# cd "$WASCE_HOME"
# rm -r -f myCustomDirTree
#
# Parameters passed by the uninstall wizard to this script:
#
# %0 - The filespec of this script.
# %1 - Directory of the uninstall wizard log.
#
# ---------------------------------------------------------------------------
PGM_DIR=`dirname "$0"`
WASCE_HOME="$PGM_DIR"/..

# WASCE_HOME/_jvm triggers WASCE-private JVM cleanup.  
if [ -r "$WASCE_HOME"/_jvm ]; then
  cd "$WASCE_HOME"
  rm -r -f _jvm
fi
